<template>
  <section>
    <div class="card h-100 mb-4" @click="goToThisProductDetails">
      <div class="card-header">
        <h5 class="card-title m-0 p-0 font-weight-bolder text-secondary">{{ promo.name }}</h5>
      </div>
      <div
        id="card"
        class="card-body text-left"
        :style="{ backgroundImage: `url(${actualBackground})`   }"
      >
        <!-- <h1 class="font-lead-base font-weight-bold text-muted">20% Off!</h1> -->
        <div class="promotion-promo">{{ promo.price }} Pñ</div>
        <div class="promotion-price">
          <div class="promotion-price-desc">Ahora</div>
          <div class="promotion-price-text">{{ promo.new_price }} Pñ</div>
        </div>
      </div>
      <div class="card-footer">
        <a class="btn btn-warning">Reservalo</a>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: 'PromoBox',
  props: {
    promo: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {
      searchedProductId: null,
      actualBackground: this.promo.urlphoto
    }
  },

  methods: {
    goToThisProductDetails() {
      this.searchedProductId = this.promo.idproduct
      this.$emit('go-to-this-product-details', this.searchedProductId)
    }
  }
}
</script>


<style scoped>
/* img {
  width: 13rem;
  height: 13rem;
} */
/* p {
  text-decoration: line-through;
}
.promo-price {
  display: flex;
  justify-content: space-around;
} */

@import url('https://fonts.googleapis.com/css?family=Open+Sans:300,400,700,800%7CRaleway:100,200,300,400,600,700,800,900%7CMontserrat:100,200,300,400,500,600,700,800,900');
.box-shadow {
  box-shadow: 0px 0px 18px -3px rgba(143, 143, 143, 0.5);
}
.card:hover {
  box-shadow: 0px 0px 20px -3px rgba(143, 143, 143, 0.75);
}
.box-shadow-dark {
  box-shadow: 3px 3px 11px -3px rgba(0, 0, 0, 0.25);
}

section {
  padding-top: 2rem;
  padding-bottom: 2rem;
}
h5 {
  font-family: 'denne-shuffle-euro-hollow';
  letter-spacing: 3px;
  font-size: 2rem;
}
.font-weight-bolder {
  font-weight: 900;
}

.heading-big {
  font-weight: 800;
  text-transform: uppercase;
  color: red;
  margin: 0;
  padding: 0.15rem 0;
  line-height: 1.2;
  font-size: 2rem;
  transition: color 0.5s ease-in, border-color 0.5s ease-in-out;
}
.heading-big-square {
  padding: 1rem 1rem;
  border: 10px solid red;
  margin: 0.5rem auto 1rem auto;
}
.heading-big:hover {
  color: #f90;
  border-color: #f90;
}
.card {
  transition: 0.5s ease;
  border-radius: 0;
  transform: perspective(3em) rotateX(0deg) rotateY(-1.175deg) rotateZ(-1deg);
}
.card-header {
  border-radius: 0;
}
.card-footer {
  padding-top: 1rem;
  padding-bottom: 1rem;
}
.card-header,
.card-footer {
  transition: 0.5s ease;
}
.card:hover {
  transform: perspective(0em) rotateX(0deg) rotateY(0deg) rotateZ(0deg);
}

.card:hover .promotion-price {
  transform: translate(2.5px, 17.5px) scale(1.15);
  transform-origin: center right;
}
.card-body {
  position: relative;
  z-index: 0;
  overflow: hidden;
  padding-top: 2rem;
  padding-bottom: 2rem;
}
.card .btn {
  font-weight: bold;
  text-transform: uppercase;
}
.promotion-promo {
  font-weight: 700;
  font-size: 1.15rem;
  color: #ffc107;
  font-family: 'Montserrat', sans-serif;
  text-decoration: line-through;
  transition: 0.25s linear;
}
.promotion-price {
  position: absolute;
  bottom: 0;
  right: 0;
  background: #ffc107;
  width: 92px;
  height: 92px;
  padding-bottom: 0rem;
  padding-top: 1.25rem;
  text-align: center;
  font-weight: 700;
  font-family: 'Montserrat', sans-serif;
  font-size: 1.1rem;
  border-radius: 5rem;
  color: #fff;
  z-index: -1;
  transform: translate(5px, 27.5px) rotate(-9deg);
  border: 1px dashed #fff;
  transition: 0.25s linear;
  line-height: 1.15;
}
.promotion-price-desc {
  padding: 0;
  margin: 0 auto;
  text-transform: uppercase;
  font-size: 0.9rem;
  display: block;
}
.promotion-price-text {
  padding: 0;
  margin: 0 auto;
  font-weight: 900;
}
.card-animate {
  counter-reset: section;
}
.card-animate .card-body:before {
  transition: 0.5s ease;
  counter-increment: section;
  content: '' counter(section) '';
  display: block;
  font-size: 15rem;
  font-weight: 900;
  position: absolute;
  bottom: 5rem;
  line-height: 0;
  left: -0.85rem;
  padding: 0;
  margin: 0;
  color: rgba(0, 0, 0, 0.1);
  z-index: 0;
}
.card-animate .card:hover .card-body:before {
  transform: translate(10px, -10px);
}
.card-animate .card-text {
  margin-top: 2rem;
  margin-bottom: 2rem;
}
.card-animate .card-title {
  font-weight: 900;
  text-transform: uppercase;
}

#card {
  font-family: 'Heebo';
  --bg-filter-opacity: 0.5;
  background-image: linear-gradient(
      rgba(0, 0, 0, var(--bg-filter-opacity)),
      rgba(0, 0, 0, var(--bg-filter-opacity))
    ),
    var(--backgroundImage);
  height: 20em;
  width: 15em;
  font-size: 1.5em;
  color: white;
  border-radius: 1em;
  padding: 1em;
  /*margin: 2em;*/
  display: flex;
  align-items: flex-end;
  background-size: cover;
  background-position: center;
  box-shadow: 0 0 5em -1em black;
  transition: all, var(--transition-time);
  position: relative;
  overflow: hidden;
  border: 10px solid #ccc;
  text-decoration: none;
}
</style>
